Index: /pjproject/main/pjlib/src/pj/os_core_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_core_win32.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_core_win32.c	(revision 3)
@@ -1,18 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_core_win32.c 12    10/29/05 11:51a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_core_win32.c $
- * 
- * 12    10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 11    10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 10    9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 9     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/os.h>
@@ -192,4 +178,5 @@
 {
     char stack_ptr;
+    pj_status_t rc;
     pj_thread_t *thread = (pj_thread_t *)desc;
     pj_str_t thread_name = pj_str((char*)cstr_thread_name);
@@ -208,5 +195,5 @@
 
     /* Initialize and set the thread entry. */
-    pj_memset(desc, 0, sizeof(pj_thread_desc));
+    pj_memset(desc, 0, sizeof(struct pj_thread_t));
     thread->hthread = GetCurrentThread();
     thread->idthread = GetCurrentThreadId();
@@ -225,5 +212,7 @@
 	pj_sprintf(thread->obj_name, "thr%p", (void*)thread->idthread);
     
-    pj_thread_local_set(thread_tls_id, thread);
+    rc = pj_thread_local_set(thread_tls_id, thread);
+    if (rc != PJ_SUCCESS)
+	return rc;
 
     *thread_ptr = thread;
@@ -257,5 +246,8 @@
     PJ_LOG(6,(rec->obj_name, "Thread started"));
 
-    pj_thread_local_set(thread_tls_id, rec);
+    if (pj_thread_local_set(thread_tls_id, rec) != PJ_SUCCESS) {
+	pj_assert(!"TLS is not set (pj_init() error?)");
+    }
+
     result = (*rec->proc)(rec->arg);
 
@@ -586,10 +578,13 @@
  * pj_thread_local_set()
  */
-PJ_DEF(void) pj_thread_local_set(long index, void *value)
-{
+PJ_DEF(pj_status_t) pj_thread_local_set(long index, void *value)
+{
+    BOOL rc;
+
     //Can't check stack because this function is called in the
     //beginning before main thread is initialized.
     //PJ_CHECK_STACK();
-    TlsSetValue(index, value);
+    rc = TlsSetValue(index, value);
+    return rc!=0 ? PJ_SUCCESS : PJ_RETURN_OS_ERROR(GetLastError());
 }
 
Index: /pjproject/main/pjlib/src/pj/os_error_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_error_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_error_linux_kernel.c	(revision 3)
@@ -1,11 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_error_linux_kernel.c 2     10/29/05 11:51a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/os_error_linux_kernel.c $
- * 
- * 2     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 1     10/19/05 1:48p Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/os_error_unix.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_error_unix.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_error_unix.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_error_unix.c 1     10/14/05 12:19a Bennylp $ */
+/* $Id$
+ *
+ */
 /* 
  * $Log: /pjproject-0.3/pjlib/src/pj/os_error_unix.c $
Index: /pjproject/main/pjlib/src/pj/os_error_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_error_win32.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_error_win32.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_error_win32.c 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/os_error_win32.c $
  * 
Index: /pjproject/main/pjlib/src/pj/os_time_ansi.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_time_ansi.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_time_ansi.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_time_ansi.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/os_time_ansi.c $
  * 
Index: /pjproject/main/pjlib/src/pj/os_time_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_time_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_time_linux_kernel.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_time_linux_kernel.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/os_time_linux_kernel.c $
  * 
Index: /pjproject/main/pjlib/src/pj/os_timestamp_common.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_common.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_common.c	(revision 3)
@@ -1,13 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_timestamp_common.c 2     10/14/05 12:26a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/os_timestamp_common.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/09/05 2:56p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_timestamp_linux.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_linux.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_linux.c	(revision 3)
@@ -1,17 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_timestamp_linux.c 4     10/29/05 10:27p Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_timestamp_linux.c $
- * 
- * 4     10/29/05 10:27p Bennylp
- * Fixed misc warnings.
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 1     9/18/05 9:25p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_timestamp_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_linux_kernel.c	(revision 3)
@@ -1,11 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_timestamp_linux_kernel.c 2     10/29/05 11:51a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_timestamp_linux_kernel.c $
- * 
- * 2     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 1     9/22/05 10:39a Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_timestamp_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_win32.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_win32.c	(revision 3)
@@ -1,13 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_timestamp_win32.c 2     10/14/05 12:26a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/os_timestamp_win32.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/18/05 8:15p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/pool.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/pool.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/pool.c 8     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/pool.c $
- * 
- * 8     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 7     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_caching.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_caching.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/pool_caching.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/pool_caching.c 5     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/pool_caching.c $
- * 
- * 5     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_dbg_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_dbg_win32.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/pool_dbg_win32.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/pool_dbg_win32.c 4     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/pool_dbg_win32.c $
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_policy_kmalloc.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_policy_kmalloc.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/pool_policy_kmalloc.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/pool_policy_kmalloc.c 3     10/29/05 11:51a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/pool_policy_kmalloc.c $
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/22/05 10:40a Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_policy_malloc.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_policy_malloc.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/pool_policy_malloc.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/pool_policy_malloc.c 2     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/pool_policy_malloc.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/21/05 1:37p Bennylp
- * Renamed from pool_policy.c
- * 
- * 3     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/rand.c
===================================================================
--- /pjproject/main/pjlib/src/pj/rand.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/rand.c	(revision 3)
@@ -1,14 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/rand.c 3     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/rand.c $
- * 
- * 3     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 2     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
- * 1     9/15/05 8:40p Bennylp
- * Created.
+/* $Id$
+ *
  */
 #include <pj/rand.h>
Index: /pjproject/main/pjlib/src/pj/rbtree.c
===================================================================
--- /pjproject/main/pjlib/src/pj/rbtree.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/rbtree.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/rbtree.c 5     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/rbtree.c $
- * 
- * 5     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/rbtree.h>
Index: /pjproject/main/pjlib/src/pj/scanner.c
===================================================================
--- /pjproject/main/pjlib/src/pj/scanner.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/scanner.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/scanner.c 9     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/scanner.c $
- * 
- * 9     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 8     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 7     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/scanner.h>
Index: /pjproject/main/pjlib/src/pj/sock_bsd.c
===================================================================
--- /pjproject/main/pjlib/src/pj/sock_bsd.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/sock_bsd.c	(revision 3)
@@ -1,18 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/sock_bsd.c 10    10/29/05 11:51a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/sock_bsd.c $
- * 
- * 10    10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 9     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 8     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 7     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/sock.h>
Index: /pjproject/main/pjlib/src/pj/sock_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/sock_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/sock_linux_kernel.c	(revision 3)
@@ -1,19 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/sock_linux_kernel.c 4     10/29/05 11:51a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/sock_linux_kernel.c $
- * 
- * 4     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 3     10/20/05 9:19a Bennylp
- * Updated with new API convention (error code)
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/05/05 4:43p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/sock.h>
Index: /pjproject/main/pjlib/src/pj/sock_select.c
===================================================================
--- /pjproject/main/pjlib/src/pj/sock_select.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/sock_select.c	(revision 3)
@@ -1,17 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/sock_select.c 4     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/sock_select.c $
- * 
- * 4     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 3     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 2     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
- * 1     9/15/05 8:40p Bennylp
- * Created.
+/* $Id$
+ *
  */
 #include <pj/sock_select.h>
@@ -21,4 +8,7 @@
 #include <pj/errno.h>
 
+#if defined(PJ_HAS_STRING_H) && PJ_HAS_STRING_H!=0
+#   include <string.h>
+#endif
 
 #ifdef _MSC_VER
@@ -26,6 +16,7 @@
 #endif
 
-#define PART_FDSET(p_fdsetp)    ((fd_set*)&p_fdsetp->data[1])
-#define PART_COUNT(p_fdsetp)    (p_fdsetp->data[0])
+#define PART_FDSET(ps)		((fd_set*)&ps->data[1])
+#define PART_FDSET_OR_NULL(ps)	(ps ? PART_FDSET(ps) : NULL)
+#define PART_COUNT(ps)		(ps->data[0])
 
 PJ_DEF(void) PJ_FD_ZERO(pj_fd_set_t *fdsetp)
@@ -96,6 +87,6 @@
     }
 
-    return select(n, PART_FDSET(readfds), PART_FDSET(writefds),
-		  PART_FDSET(exceptfds), p_os_timeout);
+    return select(n, PART_FDSET_OR_NULL(readfds), PART_FDSET_OR_NULL(writefds),
+		  PART_FDSET_OR_NULL(exceptfds), p_os_timeout);
 }
 
Index: /pjproject/main/pjlib/src/pj/string.c
===================================================================
--- /pjproject/main/pjlib/src/pj/string.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/string.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/string.c 9     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/string.c $
- * 
- * 9     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 8     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/string.h>
Index: /pjproject/main/pjlib/src/pj/stun.c
===================================================================
--- /pjproject/main/pjlib/src/pj/stun.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/stun.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/stun.c 6     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/stun.c $
- * 
- * 6     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/stun.h>
Index: /pjproject/main/pjlib/src/pj/stun_client.c
===================================================================
--- /pjproject/main/pjlib/src/pj/stun_client.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/stun_client.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/stun_client.c 6     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/stun_client.c $
- * 
- * 6     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 5     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/stun.h>
Index: /pjproject/main/pjlib/src/pj/symbols.c
===================================================================
--- /pjproject/main/pjlib/src/pj/symbols.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/symbols.c	(revision 3)
@@ -1,15 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/symbols.c 3     10/29/05 11:51a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/symbols.c $ 
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/05/05 4:43p Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/timer.c
===================================================================
--- /pjproject/main/pjlib/src/pj/timer.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/timer.c	(revision 3)
@@ -1,22 +1,12 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/timer.c 8     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* (C)1993-2003 Douglas C. Schmidt
  *
  * This file is originaly from ACE library by Doug Schmidt
- * ACE(TM), TAO(TM) and CIAO(TM) are copyrighted by Douglas C. Schmidt and his research 
- * group at Washington University, University of California, Irvine, and Vanderbilt 
- * University Copyright (c) 1993-2003, all rights reserved.
- */
-/* $Log: /pjproject-0.3/pjlib/src/pj/timer.c $
- * 
- * 8     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 7     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 6     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- *
+ * ACE(TM), TAO(TM) and CIAO(TM) are copyrighted by Douglas C. Schmidt and 
+ * his research group at Washington University, University of California, 
+ * Irvine, and Vanderbilt University Copyright 
+ * (c) 1993-2003, all rights reserved.
  */
 #include <pj/timer.h>
Index: /pjproject/main/pjlib/src/pj/types.c
===================================================================
--- /pjproject/main/pjlib/src/pj/types.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/types.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/types.c 4     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/types.c $
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/types.h>
Index: /pjproject/main/pjlib/src/pj/xml.c
===================================================================
--- /pjproject/main/pjlib/src/pj/xml.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/xml.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/xml.c 9     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/xml.c $
- * 
- * 9     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 8     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 7     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/xml.h>
Index: /pjproject/main/pjlib/src/pjlib-samples/except.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/except.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-samples/except.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-samples/except.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/except.c $
Index: /pjproject/main/pjlib/src/pjlib-samples/list.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/list.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-samples/list.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-samples/list.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/list.c $
Index: /pjproject/main/pjlib/src/pjlib-samples/log.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/log.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-samples/log.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-samples/log.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/log.c $
Index: /pjproject/main/pjlib/src/pjlib-test/atomic.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/atomic.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/atomic.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/atomic.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/atomic.c $
Index: /pjproject/main/pjlib/src/pjlib-test/echo_clt.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/echo_clt.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/echo_clt.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/echo_clt.c 3     10/29/05 10:25p Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/echo_clt.c $
@@ -47,5 +49,5 @@
     PJ_FD_SET(sock, &fdset);
     
-    return pj_sock_select(1, &fdset, NULL, NULL, &timeout);
+    return pj_sock_select(FD_SETSIZE, &fdset, NULL, NULL, &timeout);
 }
 
@@ -83,4 +85,8 @@
         return -20;
     }
+
+    PJ_LOG(3,("", "...socket connected to %s:%d", 
+		  pj_inet_ntoa(addr.sin_addr),
+		  pj_ntohs(addr.sin_port)));
 
     pj_create_random_string(send_buf, BUF_SIZE);
@@ -116,4 +122,9 @@
         if (rc == 0) {
             PJ_LOG(3,("", "...timeout"));
+	    bytes = 0;
+	} else if (rc < 0) {
+	    rc = pj_get_netos_error();
+	    app_perror("...select() error", rc);
+	    break;
         } else {
             /* Receive back the original packet. */
@@ -130,8 +141,9 @@
                     }
                     bytes = 0;
+		    received = 0;
                     break;
                 }
                 bytes += received;
-            } while (bytes != BUF_SIZE);
+            } while (bytes != BUF_SIZE && bytes != 0);
         }
 
@@ -178,5 +190,5 @@
 
         if (pj_memcmp(send_buf, recv_buf, BUF_SIZE) != 0) {
-            PJ_LOG(3,("", "...error: buffer has changed!"));
+            //PJ_LOG(3,("", "...error: buffer has changed!"));
             break;
         }
Index: /pjproject/main/pjlib/src/pjlib-test/echo_srv.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/echo_srv.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/echo_srv.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/echo_srv.c 3     10/29/05 10:23p Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/echo_srv.c $
Index: /pjproject/main/pjlib/src/pjlib-test/errno.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/errno.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/errno.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/errno.c 4     10/14/05 3:05p Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/errno.c $
Index: /pjproject/main/pjlib/src/pjlib-test/exception.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/exception.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/exception.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/exception.c 2     10/14/05 12:26a Bennylp $
+/* $Id$
+ *
+
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/fifobuf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/fifobuf.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/fifobuf.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/fifobuf.c 2     10/14/05 12:26a Bennylp $
+/* $Id$
+ *
+
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/ioq_perf.c 4     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/ioq_perf.c $
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/ioq_tcp.c 4     10/29/05 10:23p Bennylp $
+/* $Id$
+ *
+
  */
 /*
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/ioq_udp.c 4     10/29/05 10:23p Bennylp $
+/* $Id$
+ *
+
  */
 /*
Index: /pjproject/main/pjlib/src/pjlib-test/list.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/list.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/list.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/list.c 2     10/14/05 12:26a Bennylp $
+/* $Id$
+ *
+
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/main.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/main.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/main.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/main.c 4     29/10/05 21:32 Bennylp $
+/* $Id$
+ *
+
  */
 /* 
@@ -36,4 +38,20 @@
 #endif
 
+#if defined(PJ_SUNOS) && PJ_SUNOS!=0
+#include <signal.h>
+static void init_signals()
+{
+    struct sigaction act;
+
+    memset(&act, 0, sizeof(act));
+    act.sa_handler = SIG_IGN;
+
+    sigaction(SIGALRM, &act, NULL);
+}
+
+#else
+#define init_signals()
+#endif
+
 int main(int argc, char *argv[])
 {
@@ -41,4 +59,5 @@
 
     boost();
+    init_signals();
 
     while (argc > 1) {
Index: /pjproject/main/pjlib/src/pjlib-test/main_mod.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/main_mod.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/main_mod.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/main_mod.c 2     10/29/05 11:51a Bennylp $
+/* $Id$
+ *
+
  */
 /* 
Index: /pjproject/main/pjlib/src/pjlib-test/mutex.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/mutex.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/mutex.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/mutex.c 1     10/23/05 12:52p Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/mutex.c $
Index: /pjproject/main/pjlib/src/pjlib-test/os.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/os.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/os.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/os.c 2     10/14/05 12:26a Bennylp $
+/* $Id$
+ *
+
  */
 /*
Index: /pjproject/main/pjlib/src/pjlib-test/pool.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/pool.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/pool.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/pool.c 2     10/14/05 12:26a Bennylp $
+/* $Id$
+ *
+
  */
 /*
Index: /pjproject/main/pjlib/src/pjlib-test/pool_perf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/pool_perf.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/pool_perf.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/pool_perf.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* 
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/pool_perf.c $
Index: /pjproject/main/pjlib/src/pjlib-test/rand.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/rand.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/rand.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/rand.c 1     10/05/05 5:13p Bennylp $ */
+/* $Id$
+ *
+ */
 /* 
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/rand.c $
Index: /pjproject/main/pjlib/src/pjlib-test/rbtree.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/rbtree.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/rbtree.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/rbtree.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #include "test.h"
 
Index: /pjproject/main/pjlib/src/pjlib-test/select.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/select.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/select.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/select.c 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
  * $Log: /pjproject-0.3/pjlib/src/pjlib-test/select.c $
Index: /pjproject/main/pjlib/src/pjlib-test/sleep.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/sleep.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/sleep.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/sleep.c 3     10/29/05 11:51a Bennylp $
+/* $Id$
+ *
+
  */
 /*
Index: /pjproject/main/pjlib/src/pjlib-test/sock.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/sock.c	(revision 1)
+++ /pjproject/main/pjlib/src/pjlib-test/sock.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pjlib-test/sock.c 4     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pjlib-test/sock.c $
  * 
